Store
Update store config
POST
/
store
/
config
Update store config
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_kyc_enabled": false,
"is_customer_group_enabled": false,
"is_loyalty_program_enabled": false,
"tax": {
"tax_type": "GST",
"is_product_price_include_tax": true,
"is_shipping_price_include_tax": true,
"is_tax_apply_after_discount": true,
"is_discount_apply_after_tax": true,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"warehouse_id": [
"<string>"
],
"approval_option": "auto",
"default_weight": 123
},
"brand": {
"name": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": true,
"retry_and_dunning": true,
"pause_during_trial": true,
"pause_when_past_due": true,
"pause_indefinitely": true,
"skip_next_interval": true,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": true,
"send_notification": true
}
],
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"credit_line": {
"is_enabled": false,
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_method_slugs": [
"<string>"
]
},
"shipping_cost_policy": {
"rules": [
{
"condition": {
"order_total": {
"gt": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
},
"inventory": {
"reservation_strategy": "FEFO"
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config"
payload = {
"is_kyc_enabled": False,
"is_customer_group_enabled": False,
"is_loyalty_program_enabled": False,
"tax": {
"tax_type": "GST",
"is_product_price_include_tax": True,
"is_shipping_price_include_tax": True,
"is_tax_apply_after_discount": True,
"is_discount_apply_after_tax": True,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"warehouse_id": ["<string>"],
"approval_option": "auto",
"default_weight": 123
},
"brand": {
"name": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": True,
"retry_and_dunning": True,
"pause_during_trial": True,
"pause_when_past_due": True,
"pause_indefinitely": True,
"skip_next_interval": True,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": True,
"send_notification": True
}
],
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"credit_line": {
"is_enabled": False,
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_method_slugs": ["<string>"]
},
"shipping_cost_policy": {
"rules": [
{
"condition": { "order_total": { "gt": 1 } },
"action": { "type": "free" }
}
],
"default_action": { "type": "free" }
},
"inventory": { "reservation_strategy": "FEFO" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_kyc_enabled: false,
is_customer_group_enabled: false,
is_loyalty_program_enabled: false,
tax: {
tax_type: 'GST',
is_product_price_include_tax: true,
is_shipping_price_include_tax: true,
is_tax_apply_after_discount: true,
is_discount_apply_after_tax: true,
shipping_tax_rate: 123,
handling_charge_tax_rate: 123
},
shipping: {warehouse_id: ['<string>'], approval_option: 'auto', default_weight: 123},
brand: {name: '<string>', file_id: '<string>', social_media_links: {}},
subscription: {
charge_automatically: true,
retry_and_dunning: true,
pause_during_trial: true,
pause_when_past_due: true,
pause_indefinitely: true,
skip_next_interval: true,
retry_and_dunning_rules: [{days: 123, retry_payment: true, send_notification: true}],
skip_next_interval_threshold: 0
},
general: {order_number_prefix: '<string>', currency_code: '<string>'},
credit_line: {
is_enabled: false,
total_credit_limit: 123,
mandate_per_order_limit: 123,
credit_period: 21,
payment_method_slugs: ['<string>']
},
shipping_cost_policy: {
rules: [{condition: {order_total: {gt: 1}}, action: {type: 'free'}}],
default_action: {type: 'free'}
},
inventory: {reservation_strategy: 'FEFO'}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'is_kyc_enabled' => false,
'is_customer_group_enabled' => false,
'is_loyalty_program_enabled' => false,
'tax' => [
'tax_type' => 'GST',
'is_product_price_include_tax' => true,
'is_shipping_price_include_tax' => true,
'is_tax_apply_after_discount' => true,
'is_discount_apply_after_tax' => true,
'shipping_tax_rate' => 123,
'handling_charge_tax_rate' => 123
],
'shipping' => [
'warehouse_id' => [
'<string>'
],
'approval_option' => 'auto',
'default_weight' => 123
],
'brand' => [
'name' => '<string>',
'file_id' => '<string>',
'social_media_links' => [
]
],
'subscription' => [
'charge_automatically' => true,
'retry_and_dunning' => true,
'pause_during_trial' => true,
'pause_when_past_due' => true,
'pause_indefinitely' => true,
'skip_next_interval' => true,
'retry_and_dunning_rules' => [
[
'days' => 123,
'retry_payment' => true,
'send_notification' => true
]
],
'skip_next_interval_threshold' => 0
],
'general' => [
'order_number_prefix' => '<string>',
'currency_code' => '<string>'
],
'credit_line' => [
'is_enabled' => false,
'total_credit_limit' => 123,
'mandate_per_order_limit' => 123,
'credit_period' => 21,
'payment_method_slugs' => [
'<string>'
]
],
'shipping_cost_policy' => [
'rules' => [
[
'condition' => [
'order_total' => [
'gt' => 1
]
],
'action' => [
'type' => 'free'
]
]
],
'default_action' => [
'type' => 'free'
]
],
'inventory' => [
'reservation_strategy' => 'FEFO'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config"
payload := strings.NewReader("{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"store_config": {
"is_kyc_enabled": false,
"is_customer_group_enabled": false,
"is_loyalty_program_enabled": false,
"tax": {
"tax_type": "GST",
"taxable_location": "shipping-address",
"is_product_price_include_tax": true,
"is_shipping_price_include_tax": true,
"is_tax_apply_after_discount": true,
"is_discount_apply_after_tax": true,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"packaging_optimisation_logic": "cost",
"location_priority": "manual",
"warehouse_id": [
"<string>"
],
"approval_option": "auto",
"shipping_option": "auto",
"default_weight": 123
},
"customer_groups": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"is_default": true,
"active": true
}
],
"kyc_documents": [
{
"document_type": "gst",
"title": "<string>",
"is_mandatory": true,
"is_attachment_required": true,
"verification_type": "auto",
"id": "<string>",
"description": "<string>",
"active": true,
"slug": "<string>",
"is_value_unique": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"brand": {
"name": "<string>",
"logo_url": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": true,
"retry_and_dunning": true,
"pause_during_trial": true,
"pause_when_past_due": true,
"pause_indefinitely": true,
"skip_next_interval": true,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": true,
"send_notification": true
}
],
"retry_final_step_action": "mark-as-unpaid",
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"currency": {
"name": "<string>",
"code": "<string>",
"symbol": "<string>"
},
"credit_line": {
"is_enabled": false,
"customer_eligibility": "specific",
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_methods": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"slug": "<string>",
"payment_instructions": "<string>",
"mark_as_paid": true,
"is_connected": true,
"type": "auto",
"used_in_credit_line": true,
"channels": [
"<string>"
],
"status": "active",
"logo_dark": "<string>",
"logo_light": "<string>",
"created_at": "<string>",
"modified_at": "<string>"
}
]
},
"payout": {
"payment_option": "auto",
"payment_methods": [
{
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"type": "auto",
"used_in_payout": true,
"is_default": false,
"logo_dark": "<string>",
"logo_light": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
},
"warehouses": [
{
"name": "<string>",
"warehouse_type": "retail-store",
"city": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"country": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"can_receive_stock": true,
"can_ship_parcel": true,
"can_collect": true,
"is_checkout_point": true,
"accepts_returns": true,
"id": "<string>",
"active": true,
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"country_code": "<string>",
"is_default": true,
"image_url": "<string>",
"seller_warehouse_id": "<string>",
"opening_hours": {
"monday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"tuesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"wednesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"thursday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"friday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"saturday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"sunday": {
"opening_time": "<string>",
"closing_time": "<string>"
}
},
"channels": [
{
"id": "<string>",
"name": "<string>",
"active": true,
"kind": "storefront",
"sales_channel_type": "<string>",
"sales_channel_slug": "<string>",
"channel_type": "<string>",
"is_default": true,
"domain": "<string>",
"app_platform": "<string>",
"external_id": "<string>",
"pos_vendor": "<string>",
"store_id": "<string>",
"store_name": "<string>",
"marketplace_id": "<string>",
"marketplace": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"marketplace_type": "<string>",
"store_id": "<string>",
"sync_products": true,
"sync_inventory": true,
"sync_orders": true,
"required_credentials_params": {},
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"seller_account": {
"id": "<string>",
"name": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>",
"status": "pending_approval",
"kyc_status": "document_pending",
"visibility": "public",
"logo": "<string>",
"marketplace_id": "<string>",
"marketplace_name": "<string>"
}
}
],
"marketplace_listing": [
{
"marketplace_id": "<string>"
}
],
"seller_id": "<string>",
"service_provider_id": [
"<string>"
],
"shipping_boxes": [
{
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"shipping_providers": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"manual_methods": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active",
"shipping_method_type": "manual",
"shipping_rate_name": "<string>",
"shipping_rate_fixed_price": 123,
"shipping_rate_condition": {
"rate_based_on": "item-weight",
"rate_type": "weight-slabs",
"slabs": [
{
"weight": 123,
"shipping_rate": 123,
"condition": "less-or-equal"
}
]
},
"maximum_weight": 123,
"delivery_leadtime_minimum": 123,
"delivery_leadtime_maximum": 123
}
],
"available_shipping_options": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
]
}
],
"templates": [
{
"id": "<string>",
"template_type": "terms-of-service",
"name": "<string>",
"activity": "<string>",
"content_type": "html",
"description": "<string>",
"content_title": "<string>"
}
],
"service_providers": [
{
"id": "<string>",
"name": "<string>",
"alias": "<string>",
"logo": "<string>",
"service_sub_type": "<string>",
"service_type": "shipping",
"description": "<string>",
"short_description": "<string>",
"logo_dark": "<string>",
"logo_light": "<string>",
"website_url": "<string>",
"api_doc_url": "<string>",
"required_credentials_params": [
{
"input_field_name": "<string>",
"input_field_label": "<string>",
"input_field_type": "text"
}
],
"is_connected": false,
"is_connection_expired": true,
"supports_test_connection": true,
"api_credentials": {},
"status": "active",
"features": [
{
"name": "<string>",
"description": "<string>",
"is_supported": true,
"features": [
{
"name": "<string>",
"description": "<string>",
"is_supported": true
}
]
}
],
"used_in_credit_line": true,
"used_in_payout": true,
"channels": [
"<string>"
],
"warehouses": [
{
"id": "<string>",
"name": "<string>"
}
],
"shipping_zone": [
{
"id": "<string>",
"name": "<string>"
}
],
"fulfillment_type": "delivery",
"type": "auto",
"is_forward_shipping": false,
"is_return_shipping": false
}
],
"shipping_zones": [
{
"id": "<string>",
"name": "<string>",
"countries": [
{
"id": 123,
"name": "<string>",
"country_code": "<string>",
"iso_code": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_name": "<string>",
"flag_icon_url": "<string>",
"region": "<string>",
"alias": "<string>",
"active": true,
"all_states": true,
"states": [
{
"id": 123,
"name": "<string>",
"iso_code": "<string>",
"gst_code": "<string>",
"active": true,
"alias": "<string>"
}
],
"total_states": 123,
"states_count": 123
}
],
"active": true,
"is_default": true,
"available_shipping_options": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"shipping_providers": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"manual_methods": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
]
}
],
"manual_payment_methods": [
{
"name": "<string>",
"description": "<string>",
"payment_instructions": "<string>",
"id": "<string>",
"slug": "<string>",
"used_in_credit_line": true,
"is_connected": true,
"mark_as_paid": false,
"channels": [
"<string>"
],
"status": "active",
"created_at": "<string>",
"modified_at": "<string>"
}
],
"shipping_cost_policy": {
"rules": [
{
"condition": {
"order_total": {
"gt": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
},
"inventory": {
"reservation_strategy": "FEFO"
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Update store config
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_kyc_enabled": false,
"is_customer_group_enabled": false,
"is_loyalty_program_enabled": false,
"tax": {
"tax_type": "GST",
"is_product_price_include_tax": true,
"is_shipping_price_include_tax": true,
"is_tax_apply_after_discount": true,
"is_discount_apply_after_tax": true,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"warehouse_id": [
"<string>"
],
"approval_option": "auto",
"default_weight": 123
},
"brand": {
"name": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": true,
"retry_and_dunning": true,
"pause_during_trial": true,
"pause_when_past_due": true,
"pause_indefinitely": true,
"skip_next_interval": true,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": true,
"send_notification": true
}
],
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"credit_line": {
"is_enabled": false,
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_method_slugs": [
"<string>"
]
},
"shipping_cost_policy": {
"rules": [
{
"condition": {
"order_total": {
"gt": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
},
"inventory": {
"reservation_strategy": "FEFO"
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config"
payload = {
"is_kyc_enabled": False,
"is_customer_group_enabled": False,
"is_loyalty_program_enabled": False,
"tax": {
"tax_type": "GST",
"is_product_price_include_tax": True,
"is_shipping_price_include_tax": True,
"is_tax_apply_after_discount": True,
"is_discount_apply_after_tax": True,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"warehouse_id": ["<string>"],
"approval_option": "auto",
"default_weight": 123
},
"brand": {
"name": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": True,
"retry_and_dunning": True,
"pause_during_trial": True,
"pause_when_past_due": True,
"pause_indefinitely": True,
"skip_next_interval": True,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": True,
"send_notification": True
}
],
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"credit_line": {
"is_enabled": False,
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_method_slugs": ["<string>"]
},
"shipping_cost_policy": {
"rules": [
{
"condition": { "order_total": { "gt": 1 } },
"action": { "type": "free" }
}
],
"default_action": { "type": "free" }
},
"inventory": { "reservation_strategy": "FEFO" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_kyc_enabled: false,
is_customer_group_enabled: false,
is_loyalty_program_enabled: false,
tax: {
tax_type: 'GST',
is_product_price_include_tax: true,
is_shipping_price_include_tax: true,
is_tax_apply_after_discount: true,
is_discount_apply_after_tax: true,
shipping_tax_rate: 123,
handling_charge_tax_rate: 123
},
shipping: {warehouse_id: ['<string>'], approval_option: 'auto', default_weight: 123},
brand: {name: '<string>', file_id: '<string>', social_media_links: {}},
subscription: {
charge_automatically: true,
retry_and_dunning: true,
pause_during_trial: true,
pause_when_past_due: true,
pause_indefinitely: true,
skip_next_interval: true,
retry_and_dunning_rules: [{days: 123, retry_payment: true, send_notification: true}],
skip_next_interval_threshold: 0
},
general: {order_number_prefix: '<string>', currency_code: '<string>'},
credit_line: {
is_enabled: false,
total_credit_limit: 123,
mandate_per_order_limit: 123,
credit_period: 21,
payment_method_slugs: ['<string>']
},
shipping_cost_policy: {
rules: [{condition: {order_total: {gt: 1}}, action: {type: 'free'}}],
default_action: {type: 'free'}
},
inventory: {reservation_strategy: 'FEFO'}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'is_kyc_enabled' => false,
'is_customer_group_enabled' => false,
'is_loyalty_program_enabled' => false,
'tax' => [
'tax_type' => 'GST',
'is_product_price_include_tax' => true,
'is_shipping_price_include_tax' => true,
'is_tax_apply_after_discount' => true,
'is_discount_apply_after_tax' => true,
'shipping_tax_rate' => 123,
'handling_charge_tax_rate' => 123
],
'shipping' => [
'warehouse_id' => [
'<string>'
],
'approval_option' => 'auto',
'default_weight' => 123
],
'brand' => [
'name' => '<string>',
'file_id' => '<string>',
'social_media_links' => [
]
],
'subscription' => [
'charge_automatically' => true,
'retry_and_dunning' => true,
'pause_during_trial' => true,
'pause_when_past_due' => true,
'pause_indefinitely' => true,
'skip_next_interval' => true,
'retry_and_dunning_rules' => [
[
'days' => 123,
'retry_payment' => true,
'send_notification' => true
]
],
'skip_next_interval_threshold' => 0
],
'general' => [
'order_number_prefix' => '<string>',
'currency_code' => '<string>'
],
'credit_line' => [
'is_enabled' => false,
'total_credit_limit' => 123,
'mandate_per_order_limit' => 123,
'credit_period' => 21,
'payment_method_slugs' => [
'<string>'
]
],
'shipping_cost_policy' => [
'rules' => [
[
'condition' => [
'order_total' => [
'gt' => 1
]
],
'action' => [
'type' => 'free'
]
]
],
'default_action' => [
'type' => 'free'
]
],
'inventory' => [
'reservation_strategy' => 'FEFO'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config"
payload := strings.NewReader("{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_kyc_enabled\": false,\n \"is_customer_group_enabled\": false,\n \"is_loyalty_program_enabled\": false,\n \"tax\": {\n \"tax_type\": \"GST\",\n \"is_product_price_include_tax\": true,\n \"is_shipping_price_include_tax\": true,\n \"is_tax_apply_after_discount\": true,\n \"is_discount_apply_after_tax\": true,\n \"shipping_tax_rate\": 123,\n \"handling_charge_tax_rate\": 123\n },\n \"shipping\": {\n \"warehouse_id\": [\n \"<string>\"\n ],\n \"approval_option\": \"auto\",\n \"default_weight\": 123\n },\n \"brand\": {\n \"name\": \"<string>\",\n \"file_id\": \"<string>\",\n \"social_media_links\": {}\n },\n \"subscription\": {\n \"charge_automatically\": true,\n \"retry_and_dunning\": true,\n \"pause_during_trial\": true,\n \"pause_when_past_due\": true,\n \"pause_indefinitely\": true,\n \"skip_next_interval\": true,\n \"retry_and_dunning_rules\": [\n {\n \"days\": 123,\n \"retry_payment\": true,\n \"send_notification\": true\n }\n ],\n \"skip_next_interval_threshold\": 0\n },\n \"general\": {\n \"order_number_prefix\": \"<string>\",\n \"currency_code\": \"<string>\"\n },\n \"credit_line\": {\n \"is_enabled\": false,\n \"total_credit_limit\": 123,\n \"mandate_per_order_limit\": 123,\n \"credit_period\": 21,\n \"payment_method_slugs\": [\n \"<string>\"\n ]\n },\n \"shipping_cost_policy\": {\n \"rules\": [\n {\n \"condition\": {\n \"order_total\": {\n \"gt\": 1\n }\n },\n \"action\": {\n \"type\": \"free\"\n }\n }\n ],\n \"default_action\": {\n \"type\": \"free\"\n }\n },\n \"inventory\": {\n \"reservation_strategy\": \"FEFO\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"store_config": {
"is_kyc_enabled": false,
"is_customer_group_enabled": false,
"is_loyalty_program_enabled": false,
"tax": {
"tax_type": "GST",
"taxable_location": "shipping-address",
"is_product_price_include_tax": true,
"is_shipping_price_include_tax": true,
"is_tax_apply_after_discount": true,
"is_discount_apply_after_tax": true,
"shipping_tax_rate": 123,
"handling_charge_tax_rate": 123
},
"shipping": {
"packaging_optimisation_logic": "cost",
"location_priority": "manual",
"warehouse_id": [
"<string>"
],
"approval_option": "auto",
"shipping_option": "auto",
"default_weight": 123
},
"customer_groups": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"is_default": true,
"active": true
}
],
"kyc_documents": [
{
"document_type": "gst",
"title": "<string>",
"is_mandatory": true,
"is_attachment_required": true,
"verification_type": "auto",
"id": "<string>",
"description": "<string>",
"active": true,
"slug": "<string>",
"is_value_unique": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"brand": {
"name": "<string>",
"logo_url": "<string>",
"file_id": "<string>",
"social_media_links": {}
},
"subscription": {
"charge_automatically": true,
"retry_and_dunning": true,
"pause_during_trial": true,
"pause_when_past_due": true,
"pause_indefinitely": true,
"skip_next_interval": true,
"retry_and_dunning_rules": [
{
"days": 123,
"retry_payment": true,
"send_notification": true
}
],
"retry_final_step_action": "mark-as-unpaid",
"skip_next_interval_threshold": 0
},
"general": {
"order_number_prefix": "<string>",
"currency_code": "<string>"
},
"currency": {
"name": "<string>",
"code": "<string>",
"symbol": "<string>"
},
"credit_line": {
"is_enabled": false,
"customer_eligibility": "specific",
"total_credit_limit": 123,
"mandate_per_order_limit": 123,
"credit_period": 21,
"payment_methods": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"slug": "<string>",
"payment_instructions": "<string>",
"mark_as_paid": true,
"is_connected": true,
"type": "auto",
"used_in_credit_line": true,
"channels": [
"<string>"
],
"status": "active",
"logo_dark": "<string>",
"logo_light": "<string>",
"created_at": "<string>",
"modified_at": "<string>"
}
]
},
"payout": {
"payment_option": "auto",
"payment_methods": [
{
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"type": "auto",
"used_in_payout": true,
"is_default": false,
"logo_dark": "<string>",
"logo_light": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
},
"warehouses": [
{
"name": "<string>",
"warehouse_type": "retail-store",
"city": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"country": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"can_receive_stock": true,
"can_ship_parcel": true,
"can_collect": true,
"is_checkout_point": true,
"accepts_returns": true,
"id": "<string>",
"active": true,
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"country_code": "<string>",
"is_default": true,
"image_url": "<string>",
"seller_warehouse_id": "<string>",
"opening_hours": {
"monday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"tuesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"wednesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"thursday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"friday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"saturday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"sunday": {
"opening_time": "<string>",
"closing_time": "<string>"
}
},
"channels": [
{
"id": "<string>",
"name": "<string>",
"active": true,
"kind": "storefront",
"sales_channel_type": "<string>",
"sales_channel_slug": "<string>",
"channel_type": "<string>",
"is_default": true,
"domain": "<string>",
"app_platform": "<string>",
"external_id": "<string>",
"pos_vendor": "<string>",
"store_id": "<string>",
"store_name": "<string>",
"marketplace_id": "<string>",
"marketplace": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"marketplace_type": "<string>",
"store_id": "<string>",
"sync_products": true,
"sync_inventory": true,
"sync_orders": true,
"required_credentials_params": {},
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"seller_account": {
"id": "<string>",
"name": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>",
"status": "pending_approval",
"kyc_status": "document_pending",
"visibility": "public",
"logo": "<string>",
"marketplace_id": "<string>",
"marketplace_name": "<string>"
}
}
],
"marketplace_listing": [
{
"marketplace_id": "<string>"
}
],
"seller_id": "<string>",
"service_provider_id": [
"<string>"
],
"shipping_boxes": [
{
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"shipping_providers": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"manual_methods": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active",
"shipping_method_type": "manual",
"shipping_rate_name": "<string>",
"shipping_rate_fixed_price": 123,
"shipping_rate_condition": {
"rate_based_on": "item-weight",
"rate_type": "weight-slabs",
"slabs": [
{
"weight": 123,
"shipping_rate": 123,
"condition": "less-or-equal"
}
]
},
"maximum_weight": 123,
"delivery_leadtime_minimum": 123,
"delivery_leadtime_maximum": 123
}
],
"available_shipping_options": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
]
}
],
"templates": [
{
"id": "<string>",
"template_type": "terms-of-service",
"name": "<string>",
"activity": "<string>",
"content_type": "html",
"description": "<string>",
"content_title": "<string>"
}
],
"service_providers": [
{
"id": "<string>",
"name": "<string>",
"alias": "<string>",
"logo": "<string>",
"service_sub_type": "<string>",
"service_type": "shipping",
"description": "<string>",
"short_description": "<string>",
"logo_dark": "<string>",
"logo_light": "<string>",
"website_url": "<string>",
"api_doc_url": "<string>",
"required_credentials_params": [
{
"input_field_name": "<string>",
"input_field_label": "<string>",
"input_field_type": "text"
}
],
"is_connected": false,
"is_connection_expired": true,
"supports_test_connection": true,
"api_credentials": {},
"status": "active",
"features": [
{
"name": "<string>",
"description": "<string>",
"is_supported": true,
"features": [
{
"name": "<string>",
"description": "<string>",
"is_supported": true
}
]
}
],
"used_in_credit_line": true,
"used_in_payout": true,
"channels": [
"<string>"
],
"warehouses": [
{
"id": "<string>",
"name": "<string>"
}
],
"shipping_zone": [
{
"id": "<string>",
"name": "<string>"
}
],
"fulfillment_type": "delivery",
"type": "auto",
"is_forward_shipping": false,
"is_return_shipping": false
}
],
"shipping_zones": [
{
"id": "<string>",
"name": "<string>",
"countries": [
{
"id": 123,
"name": "<string>",
"country_code": "<string>",
"iso_code": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_name": "<string>",
"flag_icon_url": "<string>",
"region": "<string>",
"alias": "<string>",
"active": true,
"all_states": true,
"states": [
{
"id": 123,
"name": "<string>",
"iso_code": "<string>",
"gst_code": "<string>",
"active": true,
"alias": "<string>"
}
],
"total_states": 123,
"states_count": 123
}
],
"active": true,
"is_default": true,
"available_shipping_options": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"shipping_providers": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
],
"manual_methods": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"logo": "<string>",
"fulfillment_type": "delivery",
"sort_order": 123,
"type": "auto",
"status": "active"
}
]
}
],
"manual_payment_methods": [
{
"name": "<string>",
"description": "<string>",
"payment_instructions": "<string>",
"id": "<string>",
"slug": "<string>",
"used_in_credit_line": true,
"is_connected": true,
"mark_as_paid": false,
"channels": [
"<string>"
],
"status": "active",
"created_at": "<string>",
"modified_at": "<string>"
}
],
"shipping_cost_policy": {
"rules": [
{
"condition": {
"order_total": {
"gt": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
},
"inventory": {
"reservation_strategy": "FEFO"
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}